summaryrefslogtreecommitdiffstats
path: root/source/kde/kdewebdev
diff options
context:
space:
mode:
Diffstat (limited to 'source/kde/kdewebdev')
-rw-r--r--source/kde/kdewebdev/doinst.sh5
-rw-r--r--source/kde/kdewebdev/kde4-kdewebdev-findtidy.diff24
-rwxr-xr-xsource/kde/kdewebdev/kdewebdev.SlackBuild105
-rw-r--r--source/kde/kdewebdev/slack-desc19
-rwxr-xr-xsource/kde/kdewebdev/tidy/get-tidy-cvs.sh37
-rwxr-xr-xsource/kde/kdewebdev/tidy/tidy.SlackBuild93
-rwxr-xr-xsource/kde/kdewebdev/tidy/tidy.build80
7 files changed, 363 insertions, 0 deletions
diff --git a/source/kde/kdewebdev/doinst.sh b/source/kde/kdewebdev/doinst.sh
new file mode 100644
index 000000000..e376b59af
--- /dev/null
+++ b/source/kde/kdewebdev/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database /usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/source/kde/kdewebdev/kde4-kdewebdev-findtidy.diff b/source/kde/kdewebdev/kde4-kdewebdev-findtidy.diff
new file mode 100644
index 000000000..b3789bdd3
--- /dev/null
+++ b/source/kde/kdewebdev/kde4-kdewebdev-findtidy.diff
@@ -0,0 +1,24 @@
+--- cmake/modules/FindLibTidy.cmake.old 2008-07-25 21:47:38.156473750 +0200
++++ cmake/modules/FindLibTidy.cmake 2008-07-25 21:47:50.709258250 +0200
+@@ -17,7 +17,7 @@
+ set(LibTidy_FIND_QUIETLY TRUE)
+ endif (LIBTIDY_INCLUDE_DIR)
+
+-FIND_PATH(LIBTIDY_INCLUDE_DIR tidy.h)
++FIND_PATH(LIBTIDY_INCLUDE_DIR tidy/tidy.h tidy.h)
+
+
+ FIND_LIBRARY(LIBTIDY_LIBRARIES NAMES tidy)
+--- klinkstatus/src/tidy/tidyx.h.old 2008-07-25 21:48:23.151285750 +0200
++++ klinkstatus/src/tidy/tidyx.h 2008-07-25 21:48:36.464117750 +0200
+@@ -48,8 +48,8 @@
+ Created 2002-07-11 by Charles Reitzel
+ */
+
+-#include <tidy.h>
+-#include <buffio.h>
++#include <tidy/tidy.h>
++#include <tidy/buffio.h>
+
+ #include <config-tidy.h>
+
diff --git a/source/kde/kdewebdev/kdewebdev.SlackBuild b/source/kde/kdewebdev/kdewebdev.SlackBuild
new file mode 100755
index 000000000..457536297
--- /dev/null
+++ b/source/kde/kdewebdev/kdewebdev.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-kdewebdev
+
+# Set the config option variables if they are not already set:
+if [ -r ../KDE.options ]; then
+ . ../KDE.options
+fi
+
+# The global options may be overridden here (if needed):
+if [ -r ./local.options ]; then
+ . ./local.options
+fi
+
+# Avoid a version number in .la files:
+if [ -d /usr/lib${LIBDIRSUFFIX}/qt ]; then
+ QTDIR=/usr/lib${LIBDIRSUFFIX}/qt
+fi
+
+rm -rf $PKG
+mkdir -p $PKG/usr
+
+# First, build and install Tidy:
+cd tidy
+ echo "Building htmltidy..."
+ ARCH=$ARCH sh ./tidy.build $PKG
+cd -
+
+cd $TMP
+echo "Building kdewebdev-$VERSION..."
+tar xvf $CWD/../src/kdewebdev-$VERSION.tar.?z* || exit 1
+cd kdewebdev-$VERSION
+
+zcat $CWD/kde4-kdewebdev-findtidy.diff.gz | patch -p0 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Maybe we won't need this again...
+# -DWITH_RUBY:BOOL=OFF \
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc/kde \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DLIBTIDY_INCLUDE_DIR=$PKG/usr/include \
+ -DLIBTIDY_LIBRARIES=$PKG/usr/lib${LIBDIRSUFFIX}/libtidy.so \
+ ..
+ make $NUMJOBS || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd -
+
+if [ -d $PKG/usr/man ]; then
+ gzip -9 $PKG/usr/man/man?/*
+fi
+
+mkdir -p $PKG/usr/doc/kdewebdev-$VERSION
+cp -a AUTHORS COPYING* INSTALL* NEWS PACKAGING README TODO VERSION \
+ $PKG/usr/doc/kdewebdev-$VERSION
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/kdewebdev-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/kde/kdewebdev/slack-desc b/source/kde/kdewebdev/slack-desc
new file mode 100644
index 000000000..a082d057a
--- /dev/null
+++ b/source/kde/kdewebdev/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+kdewebdev: kdewebdev (web development package for the K Desktop Environment)
+kdewebdev:
+kdewebdev: The kdewebdev package contains Quanta Plus and other applications
+kdewebdev: which are useful for web development.
+kdewebdev:
+kdewebdev:
+kdewebdev:
+kdewebdev:
+kdewebdev:
+kdewebdev:
+kdewebdev:
diff --git a/source/kde/kdewebdev/tidy/get-tidy-cvs.sh b/source/kde/kdewebdev/tidy/get-tidy-cvs.sh
new file mode 100755
index 000000000..e4fb4b20d
--- /dev/null
+++ b/source/kde/kdewebdev/tidy/get-tidy-cvs.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+# Copyright 2006, 2009 Patrick Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+
+# Fetch the latest CVS of Tidy.
+# Clean the download location:
+rm -rf tidy
+cvs -d:pserver:anonymous@tidy.cvs.sourceforge.net:/cvsroot/tidy login
+CVS_VERSION=$(date +%Y%m%dT%R | tr -d :)
+# Doubtful that these will exist, but...
+rm -f tidy-${CVS_VERSION}.tar tidy-${CVS_VERSION}.tar.xz
+cvs -z3 -d:pserver:anonymous@tidy.cvs.sourceforge.net:/cvsroot/tidy co -P tidy
+# Rid ourselves of cruft:
+( cd tidy ; find . -type d -name CVS -exec rm -rf {} \; 2> /dev/null )
+# Make tarball "release":
+tar cf tidy-${CVS_VERSION}.tar tidy
+xz -9 tidy-${CVS_VERSION}.tar
+# Clean up:
+rm -rf tidy
diff --git a/source/kde/kdewebdev/tidy/tidy.SlackBuild b/source/kde/kdewebdev/tidy/tidy.SlackBuild
new file mode 100755
index 000000000..e487d95eb
--- /dev/null
+++ b/source/kde/kdewebdev/tidy/tidy.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+# Copyright 2006, 2007, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# This file is an example, so feel free to fix it if it gets out of date. :-)
+
+PKGNAM=tidy
+VERSION=${VERSION:-20090604T2303}
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf ${PKGNAM}
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z*
+
+cd ${PKGNAM}
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+
+# Prepare autoconf:
+sh build/gnuauto/setup.sh
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --disable-static \
+ $ARCH-slackware-linux
+
+# Build and install:
+make -j4 || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Strip binaries:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+# The Makefile evidently contains the package's license...
+cp -a Makefile htmldoc $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/kde/kdewebdev/tidy/tidy.build b/source/kde/kdewebdev/tidy/tidy.build
new file mode 100755
index 000000000..ee7b821f4
--- /dev/null
+++ b/source/kde/kdewebdev/tidy/tidy.build
@@ -0,0 +1,80 @@
+#!/bin/sh
+# Copyright 2006, 2007, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackware.com> 20071221
+# for new cvs pull and changed include directory for kde4's kdewebdev
+# New cvs version - 20080502
+
+PKGNAM=tidy
+VERSION=20090604T2303
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+
+PKG=$1
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+cd $TMP
+rm -rf ${PKGNAM}
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
+cd ${PKGNAM}
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Prepare autoconf:
+sh build/gnuauto/setup.sh
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --includedir=/usr/include/tidy \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make -j4 || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Strip binaries:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a htmldoc/* $PKG/usr/doc/${PKGNAM}-$VERSION
+